/*
 * uData API
 * uData API
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.asso.ladoxa.datagouv.models;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Crontab
 */

public class Crontab {
  @JsonProperty("day_of_month")
  private String dayOfMonth = "*";

  @JsonProperty("day_of_week")
  private String dayOfWeek = "*";

  @JsonProperty("hour")
  private String hour = "*";

  @JsonProperty("minute")
  private String minute = "*";

  @JsonProperty("month_of_year")
  private String monthOfYear = "*";

  public Crontab dayOfMonth(String dayOfMonth) {
    this.dayOfMonth = dayOfMonth;
    return this;
  }

   /**
   * Cron expression for day of month
   * @return dayOfMonth
  **/
  @ApiModelProperty(required = true, value = "Cron expression for day of month")
  public String getDayOfMonth() {
    return dayOfMonth;
  }

  public void setDayOfMonth(String dayOfMonth) {
    this.dayOfMonth = dayOfMonth;
  }

  public Crontab dayOfWeek(String dayOfWeek) {
    this.dayOfWeek = dayOfWeek;
    return this;
  }

   /**
   * Cron expression for day of week
   * @return dayOfWeek
  **/
  @ApiModelProperty(required = true, value = "Cron expression for day of week")
  public String getDayOfWeek() {
    return dayOfWeek;
  }

  public void setDayOfWeek(String dayOfWeek) {
    this.dayOfWeek = dayOfWeek;
  }

  public Crontab hour(String hour) {
    this.hour = hour;
    return this;
  }

   /**
   * Cron expression for hour
   * @return hour
  **/
  @ApiModelProperty(required = true, value = "Cron expression for hour")
  public String getHour() {
    return hour;
  }

  public void setHour(String hour) {
    this.hour = hour;
  }

  public Crontab minute(String minute) {
    this.minute = minute;
    return this;
  }

   /**
   * Cron expression for minute
   * @return minute
  **/
  @ApiModelProperty(required = true, value = "Cron expression for minute")
  public String getMinute() {
    return minute;
  }

  public void setMinute(String minute) {
    this.minute = minute;
  }

  public Crontab monthOfYear(String monthOfYear) {
    this.monthOfYear = monthOfYear;
    return this;
  }

   /**
   * Cron expression for month of year
   * @return monthOfYear
  **/
  @ApiModelProperty(required = true, value = "Cron expression for month of year")
  public String getMonthOfYear() {
    return monthOfYear;
  }

  public void setMonthOfYear(String monthOfYear) {
    this.monthOfYear = monthOfYear;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Crontab crontab = (Crontab) o;
    return Objects.equals(this.dayOfMonth, crontab.dayOfMonth) &&
        Objects.equals(this.dayOfWeek, crontab.dayOfWeek) &&
        Objects.equals(this.hour, crontab.hour) &&
        Objects.equals(this.minute, crontab.minute) &&
        Objects.equals(this.monthOfYear, crontab.monthOfYear);
  }

  @Override
  public int hashCode() {
    return Objects.hash(dayOfMonth, dayOfWeek, hour, minute, monthOfYear);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Crontab {\n");

    sb.append("    dayOfMonth: ").append(toIndentedString(dayOfMonth)).append("\n");
    sb.append("    dayOfWeek: ").append(toIndentedString(dayOfWeek)).append("\n");
    sb.append("    hour: ").append(toIndentedString(hour)).append("\n");
    sb.append("    minute: ").append(toIndentedString(minute)).append("\n");
    sb.append("    monthOfYear: ").append(toIndentedString(monthOfYear)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

